Unit AMC1C_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, FTF2C_p;

procedure AMC1C(N :Integer; var B :Array of Complex;
                var X :Array of Complex);

implementation

procedure AMC1C(N :Integer; var B :Array of Complex;
                var X :Array of Complex);
var
I :Integer;
P :Real;
label
_1;
begin
P := 1.0;
FTF2C(B,N,1,1,P);
FTF2C(X,N,1,1,P);
for I:=1 to N do
 begin
_1:
  X[I-1] := DivC(MulC(B[I-1],X[I-1]),Cmplx(N,0.0));
 end;
P := -1.0;
FTF2C(X,N,1,1,P);
end;

end.
